CSFML

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
sfRenderStates Struct Reference

Define the states used for drawing to a RenderTarget. More...

`#include <RenderStates.h>`

## Public Attributes

sfBlendMode | blendMode
| Blending mode. More...
sfTransform | transform
| Transform. More...
const sfTexture * | texture
| Texture. More...
const sfShader * | shader
| Shader. More...

## Detailed Description

Define the states used for drawing to a RenderTarget.

Definition at line 41 of file RenderStates.h.

## Member Data Documentation

## ◆ blendMode

sfBlendMode sfRenderStates::blendMode

Blending mode.

Definition at line 43 of file RenderStates.h.

## ◆ shader

const sfShader* sfRenderStates::shader

Shader.

Definition at line 46 of file RenderStates.h.

## ◆ texture

const sfTexture* sfRenderStates::texture

Texture.

Definition at line 45 of file RenderStates.h.

## ◆ transform

sfTransform sfRenderStates::transform

Transform.

Definition at line 44 of file RenderStates.h.

The documentation for this struct was generated from the following file:

- RenderStates.h